Upgrading new release

This is an archive of the phpBB 2.0.x support forum. Support for phpBB2 has now ended.
Forum rules
Following phpBB2's EoL, this forum is now archived for reference purposes only.
Please see the following announcement for more information: viewtopic.php?f=14&t=1385785
Locked
slamelov
Registered User
Posts: 18
Joined: Sat Jun 21, 2003 1:29 pm
Contact:

Upgrading new release

Post by slamelov »

Hi
I run phpbb forum at www.halconesrojos.com/forum. I've checked tht there is a new release so I'd like to upgrade. The problem is that I'm afraid :oops:
What is the most secure way to do it? download only changed files and overwrite files in my forum?. I don't want to loose all messages, but I would like to use the new features.
And, what about styles? Should I have to change something to use new release?.

Thanks for all
User avatar
A_Jelly_Doughnut
Former Team Member
Posts: 34457
Joined: Sat Jan 18, 2003 1:26 am
Location: Where the Rivers Run
Contact:

Post by A_Jelly_Doughnut »

You should just be able to overwrite the files and run install/update_to_205.php, but if you want to be safe, backup everything first :)
A Donut's Blog
"Bach's Prelude (Cello Suite No. 1) is driving Indiana country roads in Autumn" - Ann Kish
slamelov
Registered User
Posts: 18
Joined: Sat Jun 21, 2003 1:29 pm
Contact:

Post by slamelov »

So do you mean download this file http://prdownloads.sourceforge.net/phpb ... z?download then extract with pathname and upload overwriting files, and then... type install/update_to_205.php ? when I type that appears install/update_to_205.php: No such file or directory
sancho666
Registered User
Posts: 1
Joined: Tue Jun 24, 2003 11:18 am

Post by sancho666 »

Hello,

I'm running phpbb 2.0.3
If I upgrade to 2.0.5, what happens with my MODS?
IMHO the files which contains the mods are regulary files that will be replaced by new ones, right?

greetings,
Sancho
slamelov
Registered User
Posts: 18
Joined: Sat Jun 21, 2003 1:29 pm
Contact:

Post by slamelov »

I downloaded the changed files. When I open the file, i see some compressed files named 2.00x to 2.05. Si, I extract the 2.04 to 2.05 file with pathname, upload that file... and? what's next step?, it's necessary another file?
slamelov
Registered User
Posts: 18
Joined: Sat Jun 21, 2003 1:29 pm
Contact:

Post by slamelov »

boing
SK
Registered User
Posts: 483
Joined: Sat Jan 26, 2002 11:55 pm
Location: Nottingham, UK

Post by SK »

sancho666 wrote: Hello,

I'm running phpbb 2.0.3
If I upgrade to 2.0.5, what happens with my MODS?
IMHO the files which contains the mods are regulary files that will be replaced by new ones, right?

greetings,
Sancho


Your mods will no longer be there.
slamelov
Registered User
Posts: 18
Joined: Sat Jun 21, 2003 1:29 pm
Contact:

Post by slamelov »

bump
Slacksuperstar
Registered User
Posts: 132
Joined: Sun Jun 15, 2003 11:19 am

Post by Slacksuperstar »

sancho you will lose your mods, but the ppl that have made the mods more than likely have updated the mod or are in the process of doing so.

slamelov I would use the change files on phpbb.com and upload them to your host then run the install/update_to_205.php and everything should work. Then delete the folders that you don't need (install and maybe contrib again??) It will tell you there.

I would recommend backing up your database (do that in the admin panel) then after everything is updated you can restore your database
slamelov
Registered User
Posts: 18
Joined: Sat Jun 21, 2003 1:29 pm
Contact:

Post by slamelov »

But, should I upload all files in the tar file or only the files into the updatedo2.05 tar file?.
slamelov
Registered User
Posts: 18
Joined: Sat Jun 21, 2003 1:29 pm
Contact:

Post by slamelov »

bump
slamelov
Registered User
Posts: 18
Joined: Sat Jun 21, 2003 1:29 pm
Contact:

Post by slamelov »

bumb :|
User avatar
blueadmin
Registered User
Posts: 124
Joined: Wed May 14, 2003 4:58 pm
Location: Bradford, UK

Post by blueadmin »

updatedo2.05 tar file only
Ho Ho Ho merry christmas
You Stuck? Read this before askinghere and here
swimma
Registered User
Posts: 136
Joined: Mon Jul 14, 2003 3:52 am

Post by swimma »

If you have mods and would like to update visit this page.
http://www.phpbb.com/phpBB/viewtopic.php?t=124463

If you have versions older than 2.0.5 go down to the bottom of the page...everything you need will be right there. You will need to update version by version
Locked

Return to “2.0.x Support Forum”